Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class ParsedQuery

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.ParsedQuery

All Implemented Interfaces:
  Exp

    public class ParsedQuery

extends java.lang.Object
implements Exp

this is the result of parsing an MDX

Constructor Summary
`ParsedQuery()`

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`void` | `addFormula(java.lang.String[] names, Exp exp)` add a formula for a set
`void` | `addFormula(java.lang.String[] names, Exp exp, MemberProperty[] memberProperties)` add a formula for a member
`void` | `afterParse()` called after parse to make things easier
`java.lang.Object` | `clone()`
`QueryAxis[]` | `getAxes()`
`java.util.List` | `getCellProps()`
`java.lang.String` | `getCube()` Returns the cube.
`Formula[]` | `getFormulas()` get the formulas of this query
`java.util.Map` | `getParaMap()`
`Exp` | `getSlicer()`
`void` | `removeFormula(java.lang.String uniqueName)` remove a formula
`void` | `setAxes(QueryAxis[] axes)`
`void` | `setCube(java.lang.String cube)` Sets the cube.
`void` | `setSlicer(Exp exp)` set the slicer exp
`java.lang.String` | `toDrillMdx()`
`java.lang.String` | `toMdx()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedQuery

    public ParsedQuery()

Method Detail

### afterParse

    public void afterParse()
                    throws OlapException

  called after parse to make things easier

  Throws:
    `OlapException`

### getAxes

    public QueryAxis[] getAxes()

  Returns:
    QueryAxis[]

### setAxes

    public void setAxes(QueryAxis[] axes)

  Parameters:
    `axes` -

### getCube

    public java.lang.String getCube()

  Returns the cube.

  Returns:
    String

### setCube

    public void setCube(java.lang.String cube)

  Sets the cube.

  Parameters:
    `cube` - The cube to set

### getFormulas

    public Formula[] getFormulas()

  get the formulas of this query

  Returns:
    Formula[]

### toMdx

    public java.lang.String toMdx()

  Specified by:
    `toMdx` in interface `Exp`

### toDrillMdx

    public java.lang.String toDrillMdx()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### getSlicer

    public Exp getSlicer()

  Returns:
    sliecer exp

### setSlicer

    public void setSlicer(Exp exp)

  set the slicer exp

  Parameters:
    `exp` -

### getParaMap

    public java.util.Map getParaMap()

  Returns:
    parameter map

### addFormula

    public void addFormula(java.lang.String[] names,
                           Exp exp,
                           MemberProperty[] memberProperties)

  add a formula for a member

### addFormula

    public void addFormula(java.lang.String[] names,
                           Exp exp)

  add a formula for a set

### removeFormula

    public void removeFormula(java.lang.String uniqueName)

  remove a formula

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

### getCellProps

    public java.util.List getCellProps()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD